This post refers to DotKernel 1, based on Zend Framework 1.
If you are looking for DotKernel 3 related posts, go here.

DotKernel Application Framework can be downloaded with WURFL XML file bundled in it, but is quite an old file,  the latest GPL version, from June 2011. Because of license changed of that WURFL file,  this bundled file will not be upgraded anymore by us.

You need to manually upgrade the xml file, if you still want to use it , and of course, please pay attention to license changes.

  1.  Download the wurfl-2.3.xml.zip file.
  2. Rename it to wurfl.zip
  3. Rename the file inside the archive to wurfl.xml
  4. Replace the file /externals/wurfl/wurfl.zip with this new wurfl.zip file
  5. Download the web_browsers_patch.xml file
  6. Replace the /externals/wurfl/web_browsers_patch.xml file with this new one
  7. Go to Admin panel, click on empty wurfl cache  link, then rebuild the cache

Again, please pay attention to WURFL license changes.

 

Leave a Reply

Your email address will not be published. Required fields are marked *

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>